freenet.support.CPUInformation

## Class VIAInfoImpl

- java.lang.Object
- - freenet.support.CPUInformation.CPUIDCPUInfo
  - - freenet.support.CPUInformation.VIAInfoImpl

- All Implemented Interfaces:
    CPUInfo, VIACPUInfo

      class VIAInfoImpl
      extends CPUIDCPUInfo
      implements VIACPUInfo

  Moved out of CPUID.java

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VIAInfoImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCPUModelString()` Gets the CPU model description.
    `boolean` | `hasX64()` Checks if CPU supports the 64-bit support.
    `boolean` | `IsC3Compatible()`
    `boolean` | `IsNanoCompatible()`

    - ### Methods inherited from class freenet.support.CPUInformation.CPUIDCPUInfo

      `getVendor, hasABM, hasADX, hasAES, hasAVX, hasAVX2, hasAVX512, hasBMI1, hasBMI2, hasFMA3, hasMMX, hasMOVBE, hasSSE, hasSSE2, hasSSE3, hasSSE41, hasSSE42, hasSSE4A, hasTBM`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface freenet.support.CPUInformation.CPUInfo

      `getVendor, hasABM, hasADX, hasAES, hasAVX, hasAVX2, hasAVX512, hasBMI1, hasBMI2, hasFMA3, hasMMX, hasMOVBE, hasSSE, hasSSE2, hasSSE3, hasSSE41, hasSSE42, hasSSE4A, hasTBM`

- - ### Constructor Detail

    - #### VIAInfoImpl

          VIAInfoImpl()

  - ### Method Detail

    - #### getCPUModelString

          public String getCPUModelString()

      Description copied from interface: `CPUInfo`
      Gets the CPU model description.
      Specified by:
        `getCPUModelString` in interface `CPUInfo`
      Overrides:
        `getCPUModelString` in class `CPUIDCPUInfo`
      Returns:
        A string detailing what type of CPU that is present in the machine. I.e. 'Pentium IV' etc.

    - #### hasX64

          public boolean hasX64()

      Description copied from interface: `CPUInfo`
      Checks if CPU supports the 64-bit support.
      Specified by:
        `hasX64` in interface `CPUInfo`
      Overrides:
        `hasX64` in class `CPUIDCPUInfo`
      Returns:
        true iff the CPU supports the 64-bit support

    - #### IsC3Compatible

          public boolean IsC3Compatible()

      Specified by:
        `IsC3Compatible` in interface `VIACPUInfo`
      Returns:
        true if the CPU present in the machine is at least an 'c3' CPU

    - #### IsNanoCompatible

          public boolean IsNanoCompatible()

      Specified by:
        `IsNanoCompatible` in interface `VIACPUInfo`
      Returns:
        true if the CPU present in the machine is at least an 'nano' CPU